Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.utils
Class ResourceWatcher

    java.lang.Object
      org.apache.cassandra.utils.ResourceWatcher

    public class ResourceWatcher

extends java.lang.Object

Nested Class Summary
`static class` | `ResourceWatcher.WatchedResource`

Constructor Summary
`ResourceWatcher()`

Method Summary
`static void` | `watch(java.lang.String resource, java.lang.Runnable callback, int period)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceWatcher

    public ResourceWatcher()

Method Detail

### watch

    public static void watch(java.lang.String resource,
                             java.lang.Runnable callback,
                             int period)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation